// JavaScript Document

function browserApp()
{
	var application = navigator.appName;
	//alert(application);	
	return application;
}

//--------------------------------------------------------------------------------------

function browserVendor()
{
	var vendor = navigator.vendor;
	//alert(application);	
	return vendor;
}

//--------------------------------------------------------------------------------------

function browserVer()
{
	var version = navigator.appVersion;
	//alert(version);
	return version;
}

//--------------------------------------------------------------------------------------

function operatingSys()
{
	var os = navigator.platform;
	//alert(os);
	return os;
}

//--------------------------------------------------------------------------------------

function windowsOnly()
{
	var platform = operatingSys();
	var regPlatform = RegExp("Win.+", 'i');
		
	if (regPlatform.test(platform) == true)
	{ return true; }
	else
	{ return false; }
}

//--------------------------------------------------------------------------------------

function windowsExplorer()
{
	var platform = windowsOnly();
	var browser = browserApp();
	
	var regBrowser = RegExp(".+Explorer", 'i');
	
	if (platform == true && regBrowser.test(browser) == true)
	{ return true; }
	else
	{ return false; }
}

//--------------------------------------------------------------------------------------

function ffColourShift()
{
	var browser = browserVendor();
	
	if (browser == "Firefox")
	{
		document.getElementById('leftBar').style.backgroundColor = "#E8E3D3";
		document.getElementById('colour3BG').style.backgroundColor = "#E8E3D3";
	}
}
